> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/trigrillo/tigrillo-api.md).

# Tigrillo API

## activateSIMs

> Activates single or multiple SIMs. Eseye SIMs are available, ready to become active. Before you make one or more SIMs active, you must have a signed Service Contract form agreeing to the associated costs. You must ass...

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/activateSIMs":{"post":{"summary":"activateSIMs","operationId":"post-japi-tigrillo-activatesims","tags":["Tigrillo API"],"description":"Activates single or multiple SIMs. Eseye SIMs are available, ready to become active. Before you make one or more SIMs active, you must have a signed Service Contract form agreeing to the associated costs. You must ass...","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"sims":{"type":"array","items":{"type":"object","properties":{"ICCID":{"type":"string"},"friendlyName":{},"IMEI":{}}}},"tariffID":{},"group":{},"device":{}},"required":["sims"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"simStatuses":{"type":"object","properties":{"8944538523013333111":{"type":"string"}}}}}}}}}}}}}
```

## getCookieName

> Returns the name of the HTTP cookie needed for sessions to continue without the need to log in each time. A cookie is valid for 4 hours after it is generated.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/getCookieName":{"post":{"summary":"getCookieName","operationId":"post-japi-tigrillo-getcookiename","tags":["Tigrillo API"],"description":"Returns the name of the HTTP cookie needed for sessions to continue without the need to log in each time. A cookie is valid for 4 hours after it is generated.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"string"}}}}}}}}}
```

## getSIMBilling

> Returns billing information for a single SIM card.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/getSIMBilling":{"post":{"summary":"getSIMBilling","operationId":"post-japi-tigrillo-getsimbilling","tags":["Tigrillo API"],"description":"Returns billing information for a single SIM card.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ICCID":{"type":"string"},"startDate":{},"endDate":{"type":"string"},"sortOrder":{},"startRec":{},"numRecs":{},"filter":{}},"required":["ICCID"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRecs":{"type":"integer"},"recs":{"type":"array","items":{"type":"object","properties":{"activity":{"type":"string"},"start":{"type":"string"},"stop":{"type":"string"},"description":{"type":"string"},"quantity":{"type":"integer"},"price":{"type":"string"},"mcc":{"type":"string"},"mnc":{"type":"string"},"packageID":{"type":"integer"}}}},"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## getSIMLastActivity

> Returns details of the most recent recorded activity on the specified SIM.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/getSIMLastActivity":{"post":{"summary":"getSIMLastActivity","operationId":"post-japi-tigrillo-getsimlastactivity","tags":["Tigrillo API"],"description":"Returns details of the most recent recorded activity on the specified SIM.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ICCID":{"type":"string"}},"required":["ICCID"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## getSIMStateOptions

> Returns the state options you can apply to the current SIM, based on the current state:

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/getSIMStateOptions":{"post":{"summary":"getSIMStateOptions","operationId":"post-japi-tigrillo-getsimstateoptions","tags":["Tigrillo API"],"description":"Returns the state options you can apply to the current SIM, based on the current state:","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ICCID":{"type":"string"}},"required":["ICCID"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"stateOptions":{"type":"array","items":{"type":"object","properties":{"ID":{"type":"string"},"title":{"type":"string"}}}}}}}}}}}}}}
```

## getSIMs

> Returns a list of SIM records containing data about each SIM. You can set search parameters to restrict your search.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/getSIMs":{"post":{"summary":"getSIMs","operationId":"post-japi-tigrillo-getsims","tags":["Tigrillo API"],"description":"Returns a list of SIM records containing data about each SIM. You can set search parameters to restrict your search.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"searchCriteria":{"type":"object","properties":{"state":{},"group":{},"tariff":{},"matchString":{},"matchType":{},"matchFields":{}}},"sortOrder":{},"startRec":{"type":"integer"},"numRecs":{"type":"integer"}}}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## login

> Logs the user into Infinity Classic.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/login":{"post":{"summary":"login","operationId":"post-japi-tigrillo-login","tags":["Tigrillo API"],"description":"Logs the user into Infinity Classic.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"username":{"type":"string"},"password":{"type":"string"},"portfolioID":{"type":"string"}},"required":["username","password","portfolioID"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"errorCode":{"type":"string"},"errorMessage":{"type":"string"},"status":{"type":"string"}}},"cookie":{"type":"string"},"permissions":{"type":"string"},"canActivate":{"type":"string"}}}}}}}}}}}
```

## logout

> Logs the user out of the Tigrillo API.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/logout":{"post":{"summary":"logout","operationId":"post-japi-tigrillo-logout","tags":["Tigrillo API"],"description":"Logs the user out of the Tigrillo API.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## ping

> Tests whether the server is running.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/ping":{"post":{"summary":"ping","operationId":"post-japi-tigrillo-ping","tags":["Tigrillo API"],"description":"Tests whether the server is running.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"string"}}}}}}}}}
```

## setSIMDetail

> Updates the details of a single SIM.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/setSIMDetail":{"post":{"summary":"setSIMDetail","operationId":"post-japi-tigrillo-setsimdetail","tags":["Tigrillo API"],"description":"Updates the details of a single SIM.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ICCID":{"type":"string"},"friendlyName":{"type":"string"},"group":{}},"required":["ICCID"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## setSIMState

> Changes the state of a single SIM to either of the following states:

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/setSIMState":{"post":{"summary":"setSIMState","operationId":"post-japi-tigrillo-setsimstate","tags":["Tigrillo API"],"description":"Changes the state of a single SIM to either of the following states:","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"ICCID":{"type":"string"},"state":{"type":"string"}},"required":["ICCID"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## suspendSIMs

> Suspends multiple SIMs. The current SIM state must allow suspension – you cannot suspend a SIM that is already suspended, pending termination, or terminated.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/suspendSIMs":{"post":{"summary":"suspendSIMs","operationId":"post-japi-tigrillo-suspendsims","tags":["Tigrillo API"],"description":"Suspends multiple SIMs. The current SIM state must allow suspension – you cannot suspend a SIM that is already suspended, pending termination, or terminated.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"sims":{"type":"array","items":{"type":"string"}}},"required":["sims"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"simStatuses":{"type":"object","properties":{"8944538523013777333":{"type":"string"}}}}}}}}}}}}}
```

## terminateSIMs

> Terminates multiple SIMs, and assigns them a pendingDeprovision status. If terminated (unprovisioned), the SIM will stop connecting to the network. Service charges will stop unless the SIM is in contract, in which cas...

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/terminateSIMs":{"post":{"summary":"terminateSIMs","operationId":"post-japi-tigrillo-terminatesims","tags":["Tigrillo API"],"description":"Terminates multiple SIMs, and assigns them a pendingDeprovision status. If terminated (unprovisioned), the SIM will stop connecting to the network. Service charges will stop unless the SIM is in contract, in which cas...","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"sims":{"type":"array","items":{"type":"string"}}},"required":["sims"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}}}}}}}}}}}}
```

## unsuspendSIMs

> Unsuspends multiple SIMs that are currently suspended.

```json
{"openapi":"3.1.0","info":{"title":"Tigrillo API","version":"1.0.0"},"tags":[{"name":"Tigrillo API"}],"servers":[{"url":"https://siam.eseye.com"}],"paths":{"/Japi/Tigrillo/unsuspendSIMs":{"post":{"summary":"unsuspendSIMs","operationId":"post-japi-tigrillo-unsuspendsims","tags":["Tigrillo API"],"description":"Unsuspends multiple SIMs that are currently suspended.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"sims":{"type":"array","items":{"type":"string"}}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"object","properties":{"status":{"type":"string"},"errorCode":{"type":"string"},"errorMessage":{"type":"string"}}},"simStatuses":{"type":"object","properties":{"8944538523013111555":{"type":"string"}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/trigrillo/tigrillo-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
